OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXmlXCAF
XmlMXCAFDoc

# XmlMXCAFDoc_CentroidDriver Class Reference

Attribute Driver.
.

`#include <XmlMXCAFDoc_CentroidDriver.hxx>`

## Public Member Functions
Standard_EXPORT | XmlMXCAFDoc_CentroidDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT Standard_Boolean | Paste (const XmlObjMgt_Persistent &Source, const Handle(TDF_Attribute)&Target, XmlObjMgt_RRelocationTable &RelocTable) const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, XmlObjMgt_Persistent &Target, XmlObjMgt_SRelocationTable &RelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT XmlMXCAFDoc_CentroidDriver::XmlMXCAFDoc_CentroidDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const XmlMXCAFDoc_CentroidDriver::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XmlMXCAFDoc_CentroidDriver::NewEmpty | ( |  | ) | const

Standard_EXPORT void XmlMXCAFDoc_CentroidDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | XmlObjMgt_Persistent & | Target,
|  | XmlObjMgt_SRelocationTable & | RelocTable
| ) | const

Standard_EXPORT Standard_Boolean XmlMXCAFDoc_CentroidDriver::Paste | ( | const XmlObjMgt_Persistent & | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | XmlObjMgt_RRelocationTable & | RelocTable
| ) | const

The documentation for this class was generated from the following file:

- XmlMXCAFDoc_CentroidDriver.hxx